Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451946 - Update 3w-9xxx to version 2.26.08.003-2.6.18RH
Summary: Update 3w-9xxx to version 2.26.08.003-2.6.18RH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Tomas Henzl
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-06-18 10:01 UTC by Tomas Henzl
Modified: 2010-03-14 21:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
3w-9xxx: driver for 3ware SATA RAID Controllers updated to version 2.26.08. This applies several upstream changes, most notably: * The pci_unmap_single() call now functions correctly on systems with greater than 4GB of RAM * Fixed a bug that caused slow write performance. * The DMA mask setting now reverts to 32-bit if 64-bit fails. * Added support for the 3ware 9690SA SAS Controller Device.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:26:26 UTC


Attachments (Terms of Use)
Update 3w-9xxx to version 2.26.08.003-2.6.18RH (deleted)
2008-06-18 10:01 UTC, Tomas Henzl
no flags Details | Diff
final version (deleted)
2008-08-22 16:37 UTC, Tomas Henzl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Tomas Henzl 2008-06-18 10:01:30 UTC
Changes in this release:

- Fix for bugzilla #444759 high I/O wait using 3w-9xxx
  Driver calls pci_set_mwi() to help alleviate this issue on certain systems.

- Fix pci_unmap_single() call to unmap correctly on systems with 4GB+.
  Driver correctly uses 64-bit field SCp.dma_handle.

- Fix dma mask setting to fallback to 32-bit if 64-bit fails.

- Add support for 3ware 9690SA SAS controller device ID. (vendor:
0x13c1, device: 0x1005)

-Adam

Comment 1 Tomas Henzl 2008-06-18 10:01:30 UTC
Created attachment 309714 [details]
Update 3w-9xxx to version 2.26.08.003-2.6.18RH

Comment 2 RHEL Product and Program Management 2008-06-18 10:41:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Domingo 2008-07-11 03:28:29 UTC
this bug is now being tracked for RHEL5.3 release notes. FYI

Comment 6 Tomas Henzl 2008-08-22 16:37:32 UTC
Created attachment 314817 [details]
final version

This version was posted today on internal list.

Comment 7 Ryan Lerch 2008-08-25 00:57:51 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
3w-9xxx: driver for 3ware SATA RAID Controllers updated to version 2.26.08. This applies several upstream changes, most notably: 

* The pci_unmap_single() call now functions correctly on systems with greater than 4GB of RAM 

* Fixed a bug that caused slow write performance.

* The DMA mask setting now reverts to 32-bit if 64-bit fails.

* Added support for the 3ware 9690SA SAS Controller Device.

Comment 8 Don Zickus 2008-09-11 19:43:26 UTC
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 11 Ask Bjørn Hansen 2008-10-04 09:35:20 UTC
FWIW the -117 test kernel is working well for me with the 9690sa card.

3ware 9000 Storage Controller device driver for Linux v2.26.08.003-2.6.18RH.
ACPI: PCI Interrupt 0000:09:00.0[A] -> GSI 18 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:09:00.0 to 64
scsi0 : 3ware 9000 Storage Controller
3w-9xxx: scsi0: Found a 3ware 9000 Storage Controller at 0xda300000, IRQ: 177.
3w-9xxx: scsi0: Firmware FH9X 4.04.00.016, BIOS BE9X 4.04.00.003, Ports: 128.
  Vendor: AMCC      Model: 9690SA-4I4 DISK   Rev: 4.04
  Type:   Direct-Access                      ANSI SCSI revision: 05

Comment 13 Chris Ward 2008-11-28 07:01:59 UTC
~~ Attention ~~ We Need Testing Feedback Soon ~~

We're nearing the end of the Red Hat Enterprise Linux 5.3 Testing Phase and this bug has not yet been VERIFIED. This bug should be fixed in the latest RHEL53 Beta Snapshot. It is critical that we receive your feedback ASAP. Otherwise, this bug is at risk of being dropped from the release. 

If you encounter any new issues, CLONE this bug and describe the new issues you are facing. We are no longer excepting NEW bugs into the release, bar critical regressions and blocker issues.

If you have VERIFIED this fix, add CustomerVerified to the Bugzilla Keywords, along with a description of the test results.

Comment 14 Ask Bjørn Hansen 2008-11-28 07:08:58 UTC
I've been running the updated kernel from Don Zickus for a while on hardware requiring the new kernel with no problems.

Comment 16 errata-xmlrpc 2009-01-20 20:26:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.